// add_recipes.js
/*
 * Add Grape Seed and Purple Dye Recipes
 */

ServerEvents.recipes((event) => {
  // Add the new Grape Seed Recipe
  event.shaped("croptopia:grape_seed",
    [
        "A  ",
        "   ", 
        "   ",
    ],
    {A: "croptopia:grape"}
  );
  console.log("Loaded Grape Seed Recipe!");

  // List of items to craft purple dye
  // Note: regions_unexplored flowers removed (mod dropped in v2.25.3)
  const purpleDyeItems = [
      'ends_delight:chorus_succulent'
  ];

  // Add a shapeless recipe for each item to craft purple dye
  purpleDyeItems.forEach(item => {
      event.shapeless("minecraft:purple_dye", [item]);
      console.log(`Added Purple Dye recipe for ${item}`);
  });
});
